<!--

this enum defined in HwaStatDefine.h
enum {
    EXPO_TYPE_YUVHDR = 0,
    EXPO_TYPE_AIRAW = 1,
    EXPO_TYPE_ELLIP = 2,
    EXPO_TYPE_NIGHT_RAWHDR = 3,
    EXPO_TYPE_MANUAL_YUVHDR = 4, //to classify hdrindex in smartae
    EXPO_TYPE_RAWHDR = 5,
    EXPO_TYPE_AIRAWLITE = 11,
    EXPO_TYPE_HDSR = 12,
    EXPO_TYPE_SUPER_NIGHT = 13 ,
    EXPO_TYPE_DARK_VISION = 14 ,
};
-->

<SmartAE>
    <Enable>1</Enable>

    <rule name = "SmartAE_AIRAW-QuadSR">
        <condition name = "ExpoType" value ="EXPO_TYPE_AIRAW"/>
        <condition name = "FeatureName" >
            <value_option>mainAiRawSR</value_option>
            <value_option>teleAiRawSR</value_option>
            <value_option>mainAiRawSRFacePP</value_option>
            <value_option>teleAiRawSRFacePP</value_option>
            <value_option>AiRawSRFSppENBokeh</value_option>
            <value_option>ApertureAiRawSRBokeh</value_option>
            <value_option>AiRawSRFSppENBokehBeauty</value_option>
        </condition>

       <outPQ name = "AIRAW-QuadSR" />
    </rule>
    <rule name = "SmartAE_AIRAW-Elliplite">
        <condition name = "ExpoType" value ="EXPO_TYPE_AIRAW"/>
        <condition name = "FeatureName">
            <value_option>foreMainAiRawElliplite</value_option>
            <value_option>foreMainAiRawEllipliteNH</value_option>
            <value_option>foreMainAiEllipliteFacePP</value_option>
            <value_option>foreMainAiEllipliteNHFacePP</value_option>
            <value_option>mainAiRawElliplite</value_option>
            <value_option>mainAiRawEllipliteNH</value_option>
            <value_option>mainAiRawEllipliteFacePP</value_option>
            <value_option>mainAiRawEllipliteNHFacePP</value_option>
            <value_option>AiRawEllipliteFSppENBokeh</value_option>
            <value_option>ApertureAiRawEllipliteBokeh</value_option>
            <value_option>AiRawEllipliteFSppENBokehBeauty</value_option>
            <value_option>AiRawEllipliteNHFSppENBokeh</value_option>
            <value_option>ApertureAiRawEllipliteNHBokeh</value_option>
            <value_option>AiRawEllipliteNHFSppENBokehBeauty</value_option>
        </condition>
        <outPQ name = "AIRAW-Elliplite" />
    </rule>
    <rule name = "SmartAE_Supernight">
        <condition name = "ExpoType" value ="EXPO_TYPE_SUPER_NIGHT"/>
        <condition name = "FeatureName">
            <value_option>mainTFSuperNight</value_option>
            <value_option>wideTFSuperNight</value_option>
            <value_option>teleTFSuperNight</value_option>
            <value_option>mainSuperNightBeautyNM</value_option>
            <value_option>wideSuperNightBeautyNM</value_option>
            <value_option>teleSuperNightBeautyNM</value_option>
            <value_option>mainSuperNightNM</value_option>
            <value_option>wideSuperNightNM</value_option>
            <value_option>teleSuperNightNM</value_option>
            <value_option>foremainTFSuperNight</value_option>
            <value_option>forewideTFSuperNight</value_option>
            <value_option>foreteleTFSuperNight</value_option>
        </condition>
       <outPQ name = "Supernight" />
    </rule>

    <rule name = "SmartAE_AIRAW-HDRP">
        <condition name = "ExpoType" value ="EXPO_TYPE_AIRAW"/>
        <condition name = "FeatureName">
            <value_option>foreWideAiRawHdrpliteNight</value_option>
            <value_option>foreTeleAiRawHdrpliteNight</value_option>
            <value_option>foreWideAiHdrpliteNightFacePP</value_option>
            <value_option>foreTeleAiHdrpliteNightFacePP</value_option>
            <value_option>wideAiRawHdrpliteNight</value_option>
            <value_option>teleAiRawHdrpliteNight</value_option>
            <value_option>wideAiRawHdrpliteNightFacePP</value_option>
            <value_option>teleAiRawHdrpliteNightFacePP</value_option>
            <value_option>AiRawHdrpliteFSppENBokeh</value_option>
            <value_option>AiRawHdrpliteFSppENBokehBeauty</value_option>
            <value_option>AiRawHdrpliteNightFSppENBokeh</value_option>
            <value_option>AiRawHdrpliteNightFSppENBokehBeauty</value_option>
        </condition>

       <outPQ name = "AIRAW-HDRP" />
    </rule>
    <rule name = "SmartAE_AIRAW-Mef">
        <condition name = "ExpoType" value ="EXPO_TYPE_AIRAW"/>
        <condition name = "FeatureName" >
            <value_option>foreMainAiRawHdrpMEF</value_option>
            <value_option>foreWideAiRawHdrpMEF</value_option>
            <value_option>foreTeleAiRawHdrpMEF</value_option>
            <value_option>foreMainAiHdrpMEFFacePP</value_option>
            <value_option>foreWideAiHdrpMEFFacePP</value_option>
            <value_option>foreTeleAiHdrpMEFFacePP</value_option>
            <value_option>mainAiRawHdrpMEF</value_option>
            <value_option>wideAiRawHdrpMEF</value_option>
            <value_option>teleAiRawHdrpMEF</value_option>
            <value_option>mainAiRawHdrpMEFFacePP</value_option>
            <value_option>wideAiRawHdrpMEFFacePP</value_option>
            <value_option>teleAiRawHdrpMEFFacePP</value_option>
            <value_option>AiRawHdrpMefFSppENBokeh</value_option>
            <value_option>AiRawHdrpMefFSppENBokehBeauty</value_option>
        </condition>
        <outPQ name = "AIRAW-Mef" />
    </rule>
    <rule name = "SmartAE_AIRAW-MEFNIGHT">
        <condition name = "ExpoType" value ="EXPO_TYPE_AIRAWLITE"/>
        <condition name = "FeatureName">
            <value_option>forwideAiRawHdrpliteNightFacePP</value_option>
            <value_option>wideAiRawHdrpliteNightFacePP</value_option>
        </condition>
       <outPQ name = "MEFNIGHT" />
    </rule>
        <rule name = "SmartAE_AIRAW-MEFNIGHT">
        <condition name = "ExpoType" value ="EXPO_TYPE_AIRAW"/>
        <condition name = "FeatureName">
            <value_option>foreWideAiRawHdrpMEFNight</value_option>
            <value_option>foreTeleAiRawHdrpMEFNight</value_option>
            <value_option>foreWideAiHdrpMEFNightFacePP</value_option>
            <value_option>foreTeleAiHdrpMEFNightFacePP</value_option>
            <value_option>wideAiRawHdrpMEFNight</value_option>
            <value_option>teleAiRawHdrpMEFNight</value_option>
            <value_option>wideAiRawHdrpMEFNightFacePP</value_option>
            <value_option>teleAiRawHdrpMEFNightFacePP</value_option>
            <value_option>AiRawHdrpMefNightFSppENBokeh</value_option>
            <value_option>AiRawMefNightFSppENBokehBeauty</value_option>
        </condition>
       <outPQ name = "MEFNIGHT" />
    </rule>
    <rule name = "SmartAE_HDRP-Front">
        <condition name = "ExpoType" value ="EXPO_TYPE_AIRAW"/>
        <condition name = "FeatureName" >
            <value_option>mainHdrp</value_option>
            <value_option>mainHdrpBeauty</value_option>
            <value_option>mainHdrpBokeh</value_option>
            <value_option>mainHdrpBokehBeauty</value_option>
        </condition>
        <outPQ name = "HDRP-Front" />
    </rule>
        <rule name = "SmartAE_AIRAW-Ellip">
        <condition name = "ExpoType" value ="EXPO_TYPE_ELLIP"/>
        <condition name = "FeatureName" >
            <value_option>foreMainAiRawEllip</value_option>
            <value_option>foreWideAiRawEllip</value_option>
            <value_option>mainAiRawEllip</value_option>
            <value_option>wideAiRawEllip</value_option>
	    <value_option>teleAiRawEllip</value_option>
            <value_option>AiRawEllipFSppBokeh</value_option>
        </condition>
        <outPQ name = "AIRAW-Ellip" />
    </rule>
<!--
    <rule name = "SmartAE_default">
       <outPQ name = "default" />
    </rule>
-->
</SmartAE>
